=== ossec/ossec-agent/debian/changelog ===
ossec-agent (3.6.0) unstable; urgency=low

  [ SecureDrop Team ]
  * Release Notes https://github.com/ossec/ossec-hids/releases/tag/3.6.0

 -- SecureDrop Team <securedrop@freedom.press>  Mon, 13 Apr 2020 14:53:21 -0400

ossec-agent (3.0.0) unstable; urgency=low

  [ SecureDrop Team ]
  * Release Notes https://github.com/ossec/ossec-hids/releases/tag/3.0.0

 -- SecureDrop Team <securedrop@freedom.press>  Tue, 21 Aug 2018 10:43:47 -0700

ossec-agent (2.8.2) unstable; urgency=low

  [ SecureDrop Team ]
  * Release Notes https://github.com/ossec/ossec-hids/releases/tag/2.8.2

 -- SecureDrop Team <securedrop@freedom.press>  Thu, 11 Jun 2015 16:43:47 -0700

ossec-agent (2.8.1) unstable; urgency=low

  [ James Dolan ]
  * Initial release

 -- James Dolan <securedrop@pressfreedomfoundation.org>  Fri, 14 Mar 2014 15:46:57 -0700
