=== ossec/ossec-agent/debian/control ===
Source: ossec-agent
Section: web
Priority: optional
Maintainer: SecureDrop Team <securedrop@freedom.press>
Homepage: https://ossec.net
Standards-Version: 4.5.1

Package: ossec-agent
Architecture: amd64
Conflicts: ossec-server
Depends: ${shlibs:Depends}, expect, inotify-tools, adduser
Description: Installs the generic ossec agent
