=== ossec/ossec-server/debian/control ===
Source: ossec-server
Section: web
Priority: optional
Maintainer: SecureDrop Team <securedrop@freedom.press>
Homepage: https://ossec.net
Standards-Version: 4.5.1

Package: ossec-server
Architecture: amd64
Conflicts: ossec-agent
Depends: ${shlibs:Depends}, adduser, expect, inotify-tools
Description: Installs generic OSSEC server
