=== ossec/ossec-agent/debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

HUMAN_DATE := $(shell date --utc --date="@${SOURCE_DATE_EPOCH}")

%:
	dh $@

override_dh_install:
	cp debian/preloaded-vars.conf etc/preloaded-vars.conf
	# Disable JIT (TODO, ask upstream to make this configurable)
	sed -i s/USE_PCRE2_JIT=yes/USE_PCRE2_JIT=no/ src/Makefile
	# LDFLAGS overrides warning; see https://github.com/ossec/ossec-hids/issues/2022#issuecomment-982121913
	# (fixed in ossec 3.7.0)
	LDFLAGS="-Wl,-z,muldefs" bash ./install.sh
	# Override date to be reproducible
	sed -i "s/DATE=\".*\"/DATE=\"${HUMAN_DATE}\"/" /var/ossec/etc/ossec-init.conf
	# Use a fixed resolv.conf instead of whatever the container might have from the host
	# TODO: these obviously don't work, what is this file supposed to be used for?
	echo 'nameserver 10.139.1.1\nnameserver 10.139.1.2' > /var/ossec/etc/resolv.conf
	rm /var/ossec/etc/client.keys
	mkdir -p debian/tmp/var/
	cp -Rv /var/ossec debian/tmp/var/
	dh_install

override_dh_fixperms:
	dh_fixperms
	# Fix up permissions to match old packaging
	chmod 440 debian/ossec-agent/var/ossec/etc/*
	chmod 640 debian/ossec-agent/var/ossec/etc/*.conf
	chmod 440 debian/ossec-agent/var/ossec/etc/resolv.conf
	chmod o-r debian/ossec-agent/var/ossec/etc/shared/*.txt
	chmod 550 debian/ossec-agent/var/ossec/active-response/bin/*.sh
	chmod 550 debian/ossec-agent/var/ossec/agentless/*
	chmod 550 debian/ossec-agent/var/ossec/bin/*
	chmod 640 debian/ossec-agent/var/ossec/logs/ossec.log
